# The build system uses the given host triplet which doesn't match the
# one used by gcc in mga9, so fix it here by dropping the -gnu.
%define _gnu ""

%define sname	gens
Name:		%{sname}-gs
Version:	2.16.7
%define gitdate	20090911
Release:	%mkrel 6

Summary:	A Sega Genesis, Sega CD and Sega 32X emulator
License:	GPLv2+
Group:		Emulators
URL:		https://segaretro.org/Gens/GS
Source0:	https://retrocdn.net/images/6/6d/Gens-gs-r7.tar.gz
Source1:	gens-gs.png
Patch0:		gens-gs-r7-gtk-deprecated.patch
Patch1:		gens-gs-2.16.7-mga-realtime.patch
Patch2:		gens-gs-2.16.7-mga-no-gtk-c.patch

BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	gtkglextmm-devel
BuildRequires:	nasm
BuildRequires:	desktop-file-utils

Conflicts:	gens

ExclusiveArch:	%ix86

%description
Gens is an emulator for the Sega Genesis, Sega CD and Sega 32X.

Gens/GS is a version of Gens maintained by GerbilSoft.

The main goal of Gens/GS is to clean up the source code and combine features 
from various forks of Gens.

%prep
%autosetup -p1 -n %{name}-r7

%build
autoreconf -vfi
export CFLAGS+=' -ldl -lX11 -fpermissive'
%configure
%make_build

%install
%make_install

desktop-file-install --vendor="" \
 --remove-category="Application" \
 --dir %{buildroot}%{_datadir}/applications/ \
 %{buildroot}%{_datadir}/applications/*

rm -f %{buildroot}%{_libdir}/mdp/*.{a,la}


%files
%doc AUTHORS.txt ChangeLog.txt NEWS.txt README.txt doc/*
%{_bindir}/gens
%{_bindir}/mdp_test
%dir %{_datadir}/gens/
%{_datadir}/gens/*
%{_datadir}/applications/gens.desktop
%{_libdir}/mdp/*.so
%{_docdir}/*


%changelog
* Fri Jul 11 2025 aurr <aurr> 2.16.7-6.mga10
+ Revision: 2252909
- FTBFS: add -fpermissive
+ daviddavid <daviddavid>
- Mageia 10 Mass Rebuild
+ danf <danf>
- Switch to .tar.gz source since the bz2 one is gone

* Wed Nov 16 2022 danf <danf> 2.16.7-5.mga9
+ Revision: 1907859
- Add no-gtk-c.patch to fix problem with gtk and C++
- Add realtime.patch to fix compilation on glibc 2.36
- Fix the build by dropping -gnu from the host triplet

* Thu Jan 16 2020 wally <wally> 2.16.7-5.mga8
+ Revision: 1478898
- replace deprecated %%configure2_5x

* Wed Aug 23 2017 ovitters <ovitters> 2.16.7-5.mga7
+ Revision: 1144423
+ rebuild (emptylog)

* Sat Mar 05 2016 akien <akien> 2.16.7-5.mga6
+ Revision: 986044
- Build with %%configure2_5x
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 2.16.7-4.mga5
+ Revision: 435907
- rebuild for new libpng

* Fri Jan 11 2013 umeabot <umeabot> 2.16.7-3.mga3
+ Revision: 351358
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 28 2012 malo <malo> 2.16.7-2.mga2
+ Revision: 202642
- adding missing linking flags
- fixing .desktop file
- spec clean-up after import from Mandriva (where it was maintained by Guillaume Bedot and Andrey Bondrov)
- imported package gens-gs


* Sat Jul 30 2011 Andrey Bondrov <abondrov@mandriva.org> 2.16.7-2mdv2012.0
+ Revision: 692369
- Fix BuildRequires
- Rebuild
- Add patch0 to fix build
- Fix BuildRequires
- imported package gens-gs


* Tue Jul 19 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 2.16.6.93-1mdv2011.0
- Import from PLF
- Remove PLF reference

* Fri Sep 11 2009 Guillaume Bedot <littletux@zarb.org> 2.16.6.93-0.20090911plf2010.0
- today's git snapshot (r7 pre3 + fixes)

* Tue Jan  6 2009 Guillaume Bedot <littletux@zarb.org> 2.15.5-2plf2009.1
- 2.15.5 milestone 6

* Fri Oct 31 2008 Guillaume Bedot <littletux@zarb.org> 2.15.5-1plf2009.1
- First package of gens-gs for PLF
